'''
convert ensembl bed to ucsc
add chr to chromosome
1 = +
-1 = -
'''

import sys
f = open(sys.argv[1])
out = open(sys.argv[2],'w')
skip = int(sys.argv[3])

for i in range(skip):
    f.readline()

for line in f:
    flds = line.strip().split('\t')
    flds[0] = 'chr'+flds[0]
    if flds[5] == '1':
        flds[5] = '+'
    else:
        flds[5] = '-'
    out.write('\t'.join(flds)+'\n')
f.close()
out.close()

